#include <iostream>
#include <vector>
#include <string>

using namespace std;

int main()
{
    int n; cin >> n;
    string s;
    cin >> s;
    char c = s[0];
    int br[26] = { 1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1 };
    int j = 0;
    for (int i = 1; i < n; i++)
    {
        if (s[i] == c)
        {
            br[j]++;
        }
        else if (s[i] > c)
        {
            j++;
        }
        c = s[i];
    }
    int k = 1;
    for (int i = 0; i < 26; i++)
    {
        k *= br[i];
    }
    cout << k;
}